use std::time::Duration;

fn main() -> Result<(), jive::task::JoinError> {
    jive::block_on(async {
        println!("hewwo");

        let handles = (1..=50)
            .map(|i| {
                jive::spawn(async move {
                    jive::time::sleep(Duration::from_secs(2)).await;
                    println!("{} slept", i);
                })
            })
            .collect::<Vec<_>>();

        for handle in handles {
            handle.await?;
        }

        Ok(())
    })
}
