pub use foxtrot::{io, net, time};

pub mod sync {
    pub use jitterbug::{oneshot, Dropped as OneshotError, Receiver, Sender};
}

pub mod runtime;
pub mod task;

pub use task::{spawn, spawn_blocking};

pub fn block_on<T: Send + 'static>(
    future: impl std::future::Future<Output = T> + Send + 'static,
) -> T {
    runtime::Runtime::new().block_on(future)
}
